org.apache.ignite.cache.eviction.lru

## Interface CacheLruEvictionPolicyMBean

All Known Implementing Classes:
  CacheLruEvictionPolicy

    @MXBeanDescription(value="MBean for LRU cache eviction policy.")
    public interface CacheLruEvictionPolicyMBean

MBean for `LRU` eviction policy.

### Method Summary

Methods
`int` `getCurrentSize()` Gets current queue size.
`int` `getMaxSize()` Gets maximum allowed cache size.
`void` `setMaxSize(int max)` Sets maximum allowed cache size.

### Method Detail

#### getMaxSize

    @MXBeanDescription(value="Maximum allowed cache size.")
    int getMaxSize()

Gets maximum allowed cache size.

Returns:
  Maximum allowed cache size.

#### setMaxSize

    @MXBeanDescription(value="Sets maximum allowed cache size.")
    void setMaxSize(int max)

Sets maximum allowed cache size.

Parameters:
  `max` - Maximum allowed cache size.

#### getCurrentSize

    @MXBeanDescription(value="Current queue size.")
    int getCurrentSize()

Gets current queue size.

Returns:
  Current queue size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015